package com.example.facetter;

import android.app.ListActivity;
import android.content.Intent;
import android.os.Bundle;
import android.view.View;
import android.widget.ListView;

public class IconListActivity extends ListActivity {
    @Override
    public void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.icon_list);
        setListAdapter(new IconListAdapter(this));
    }

    @Override
    protected void onListItemClick(ListView l, View v, int position, long id) {
        super.onListItemClick(l, v, position, id);

        // クリックされたリストアイテムを取得
        IconData iconData = (IconData)l.getItemAtPosition(position);

        // アイコン画像をインテントにセットして返す
        Intent intent = new Intent();
        intent.putExtra("icon", iconData.icon);
        setResult(RESULT_OK, intent);
        finish();
    }
}
